WD_KEEPALIVE(8)

NAME
wd_keepalive - a simplified software watchdog daemon

SYNOPSIS
wd_keepalive [-c filename|--config-file filename]

DESCRIPTION
This is a simplified version of the watchdog daemon. It only opens /dev/watchdog, and keeps writing to it often enough to keep the kernel from resetting, at least once per minute. Each write delays the reboot time another minute. After a minute of inactivity the watchdog hardware will cause a reset. In the case of the software watchdog the ability to reboot will depend on the state of the machines and interrupts.

The wd_keepalive daemon can be stopped without causing a reboot if the device /dev/watchdog is closed correctly, unless your kernel is compiled with the CONFIG_WATCHDOG_NOWAYOUT option enabled.

OPTIONS
Available command line options are the following:

-c config-file, --config-file config-file
    Use config-file as the configuration file instead of the default /etc/watchdog.conf.

FILES

/dev/watchdog
    The watchdog device.

/var/run/wd_keepalive.pid
    The pid file of the running wd_keepalive.

SEE ALSO
watchdog.conf(5)

watchdog(8)